%define momorel 2
%define fontver 1.1

Summary: Video4Linux Stream Capture Viewer
Name: xawtv

Version: 3.92
Release: %{momorel}m
Group: Applications/Multimedia
License: GPL
URL: http://bytesex.org/xawtv/

%NoSource 0 http://dl.bytesex.org/releases/xawtv/xawtv-%{version}.tar.gz 5a59209805d0ef92958ce547b12d17c8
%NoSource 1 http://dl.bytesex.org/releases/tv-fonts/tv-fonts-%{fontver}.tar.bz2 ae73fc0efd53e53dca7077383cc22b5a
Source2: xawtv.desktop
Source3: v4l-conf.pam
Source4: http://leute.server.de/peichl/smooth.zip

Patch0: xawtv_debug-skip.diff
# http://xaw-deinterlace.sourceforge.net/
#Patch1: http://telia.dl.sourceforge.net/sourceforge/xaw-deinterlace/xaw-deinterlace-0.1.0.diff.gz
Patch1: xaw-deinterlace-0.1.0.diff
Patch2: xawtv-3.83-ppc.patch
Patch3: xawtv-3.82-configure-ac.patch
Patch4: xawtv-3.84-libpng.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires(prep): unzip
BuildRequires(build): XFree86-devel, ncurses-devel
BuildRequires(build): libdv-devel >= 0.98-1m
BuildRequires(build): libpng-devel >= 1.2.2
BuildRequires(build): openmotif-devel >= 2.2.2-2k

Requires(post,postun): XFree86-font-utils
Requires: usermode
Obsoletes: xawtv-radio, xawtv-misc, xawtv-webcam, alevtd
Provides: xawtv-radio, xawtv-misc, xawtv-webcam, alevtd

%description
Xawtv is a simple xaw-based TV program which uses the bttv driver or
video4linux. Xawtv contains various command-line utilities for
grabbing images and .avi movies, for tuning in to TV stations, etc.
Xawtv also includes a grabber driver for vic.

%prep
%setup -q -a 1
%patch0 -p1 -b .dbg-skip
%patch1 -p1 -b .deinterlace
%ifarch ppc
%patch2 -p1 -b .ppc
%endif
%patch3 -p1 -b .app-defaults
%patch4 -p1 -b .libpng
%__mkdir flt-smooth
(
  cd flt-smooth
  %__unzip -q %{SOURCE4}
  %__cp -p flt-smooth.c ../libng/plugins/
  %__cp -p README ../README.smooth
)
%__perl -p -i -e 's,VIDEO_YUV422,VIDEO_YUYV,g' \
  libng/plugins/flt-smooth.c \
  libng/plugins/bilinear.c \
  libng/plugins/cubic.c \
  libng/plugins/linear_blend.c \
  libng/plugins/linedoubler.c

%build
# mv configure configure.orig
autoconf
%global _prefix /usr/X11R6
%global _bindir %{_prefix}/bin
%global _libdir %{_prefix}/lib
%global _datadir %{_prefix}/share
%global _mandir %{_prefix}/man
%configure \
  --enable-xfree-ext \
  --enable-xvideo \
  --enable-lirc \
  --enable-quicktime \
  --enable-motif \
  --enable-aa \
  --enable-alsa
%make

(
  cd tv-fonts-%{fontver}
  make
)

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make DESTDIR=%{buildroot} SUID_ROOT="" install

%__mkdir_p %{buildroot}%{_sysconfdir}/pam.d \
           %{buildroot}%{_sysconfdir}/security/console.apps
 
%__install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/v4l-conf
echo "SESSION=true" > %{buildroot}%{_sysconfdir}/security/console.apps/v4l-conf
echo "USER=root"   >> %{buildroot}%{_sysconfdir}/security/console.apps/v4l-conf
echo "PROGRAM=%{_sbindir}/v4l-conf" >> %{buildroot}%{_sysconfdir}/security/console.apps/v4l-conf

%__mkdir_p %{buildroot}/usr/share/gnome/apps/Multimedia
%__install -m 644 %{SOURCE2} %{buildroot}/usr/share/gnome/apps/Multimedia
(
  cd tv-fonts-%{fontver}
  %__mkdir_p %{buildroot}%{_libdir}/X11/fonts/misc
  %__install -m 0644 *.pcf.gz %{buildroot}%{_libdir}/X11/fonts/misc
)

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
(
  cd /usr/X11R6/lib/X11/fonts/misc
  /usr/X11R6/bin/mkfontdir > /dev/null 2>&1
)
 
%postun
if [ $1 = 0 ]; then
  (
    cd /usr/X11R6/lib/X11/fonts/misc
    /usr/X11R6/bin/mkfontdir > /dev/null 2>&1
  )
fi

%files
%defattr(-,root,root)
%doc COPYING Changes MAKEDEV.v4l README* TODO contrib
%config(noreplace) %{_sysconfdir}/pam.d/v4l-conf
%config(noreplace) %{_sysconfdir}/security/console.apps/v4l-conf
%{_bindir}/*
%config %{_libdir}/X11/app-defaults/*
%config %{_libdir}/X11/*/app-defaults/*
%{_libdir}/X11/fonts/misc/*
%{_libdir}/xawtv
%{_mandir}/man?/*
%{_mandir}/*/man?/*
%{_datadir}/xawtv
/usr/share/gnome/apps/Multimedia/*

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.92-2m)
- rebuild against libdv-0.102

* Tue Apr 27 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.92-1m)
- version 3.92

* Sun Mar 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.91-2m)
- modified Require: usermode

* Sun Feb  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.91-1m)

* Wed Nov 05 2003 Kenta MURATA <muraken2@nifty.com>
- (3.90-1m)
- pretty spec file.

* Tue Oct 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.90-1m)

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.88-2m)
- rebuild against slang(utf8 version)
- use %%{?_smp_mflags}

* Sat Apr 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.88-1m)

* Fri Apr 11 2003 Kenta MURATA <muraken2@nifty.com>
- (3.86-2m)
- BuildPreReq: unzip

* Wed Mar 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.86-1m)

* Sat Feb 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.85-1m)

* Sat Feb  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.83-1m)
- add smooth flt-smooth (http://leute.server.de/peichl/smooth.htm)

* Wed Jan 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.82-4m)
- libpng

* Fri Jan 10 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.82-3m)
- add BuildPrereq: libdv-devel >= 0.98-1m for libdv.so.2

* Sat Jan 4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.82-2m)
- add Patch3: xawtv-3.82-configure-ac.patch and exec autoconf
  for not use /etc/X11/{,*/}app-defaults/

* Sun Dec 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.82-1m)

* Tue Dec  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.80-1m)

* Sun Nov 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.79-1m)

* Thu Nov  7 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.78-1m)
- enable dv again

* Thu Oct 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.77-1m)
- temporary disable dv...

* Sat Sep  7 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.76-2m)
- add deinterlace plugin

* Wed Sep  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.76-1m)

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (3.74-6k)
- mkfontdir tukattendaro korua.

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (3.74-4k)
- rebuild against openmotif-2.2.2-2k.

* Mon Apr 22 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (3.74-2k)
- up to 3.74
- add patch0: xawtv_debug-skip.diff by yosshy@kondara.org

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.54-6k)
- rebuild against libpng 1.2.2.

* Mon Dec 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (3.54-4k)
  fix v4l-conf link

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- (3.48-8k)
- nigirisugi

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (3.48-6k)
- rebuild against libpng 1.2.0.

* Sat Jun 23 2001 Toru Hoshina <toru@df-usa.com>
- (3.48-4k)
- rebuild without /etc/X11/app-defaults

* Wed May 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.48-2k)
- update to 3.48

* Mon Apr 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.30-8k)
- errased xset exectuin at %post section

* Wed Mar 21 2001 Motonobu Ichimura <famao@kondara.org>
- (3.30-7k)
- change group name to Applications/Multimedia

* Mon Jan 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.30-5k)
- added gnome desktop file

* Mon Jan 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.30-3k)
- Kondarization
